//
//  FlickrBrowser.h
//  FlickrBrowser
//
//  Created by Marco Pifferi on 11/07/07.
//  Copyright 2007 Quadrica. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FlickrImageView.h"

#define TsFlickrBrowserPasteboardType @"TsFlickrBrowserPasteboardType"

@interface FlickrBrowser : NSObject 
{
	IBOutlet NSWindow	*_flickrBrowserWindow; 
	BOOL				_nibLoaded;
}

+(FlickrBrowser *) sharedFlickrBrowser;
+(NSImage *) beginDownloadImageFromURLDictionary:(NSDictionary *)urlDictionary modalForWindow:(NSWindow *)window;
-(void)showHideBrowser;
-(BOOL)isVisible;


@end
